import logging

from pulp import lpSum
from pydantic import BaseModel
from typing import TypeVar, Type

from helpers.common_helper import *

from models.attribute import Attribute
from models.problem import Problem

_T = TypeVar("_T")

class GenericConstraint(BaseModel):
    reference_attribute: Attribute
    minimum: float
    maximum: float
